import type { AgnosticRoute } from "@vaadin/hilla-file-router/types.js";
import { createRoute } from "@vaadin/hilla-file-router/runtime.js";
import * as Page0 from "../views/@index.js";
import * as Page1 from "../views/auto-crud.js";
import * as Page2 from "../views/customers/{id}/edit.js";
import * as Layout5 from "../views/@layout.js";
const routes: readonly AgnosticRoute[] = [
    createRoute("", Layout5, [
        createRoute("", Page0),
        createRoute("auto-crud", Page1),
        createRoute("customers", [
            createRoute(":id", [
                createRoute("edit", Page2)
            ])
        ])
    ])
];
export default routes;
